org.bouncycastle.asn1

## Class DERT61String

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.DERObject
    - - org.bouncycastle.asn1.ASN1Object
      - - org.bouncycastle.asn1.DERT61String

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

    public class DERT61String
    extends ASN1Object
    implements DERString

DER T61String (also the teletex string)

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.bouncycastle.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`DERT61String(byte[] string)` basic constructor - with bytes.
`DERT61String(java.lang.String string)` basic constructor - with string.

### Method Summary

Methods
`static DERT61String` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an T61 String from a tagged object.
`static DERT61String` `getInstance(java.lang.Object obj)` return a T61 string from the passed in object.
`byte[]` `getOctets()`
`java.lang.String` `getString()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.bouncycastle.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DERT61String

    public DERT61String(byte[] string)

basic constructor - with bytes.

#### DERT61String

    public DERT61String(java.lang.String string)

basic constructor - with string.

### Method Detail

#### getInstance

    public static DERT61String getInstance(java.lang.Object obj)

return a T61 string from the passed in object.

Throws:
  `java.lang.IllegalArgumentException` - if the object cannot be converted.

#### getInstance

    public static DERT61String getInstance(ASN1TaggedObject obj,
                           boolean explicit)

return an T61 String from a tagged object.

Parameters:
  `obj` - the tagged object holding the object we want
  `explicit` - true if the object is meant to be explicitly tagged false otherwise.
Throws:
  `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

#### getString

    public java.lang.String getString()

Specified by:
  `getString` in interface `DERString`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getOctets

    public byte[] getOctets()

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `ASN1Object`